
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace premium.locationsearch
	Public Class LocationSearchInput
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property timezone() As String
			Get
				Return m_timezone
			End Get
			Set
				m_timezone = Value
			End Set
		End Property
		Private m_timezone As String
		Public Property popular() As String
			Get
				Return m_popular
			End Get
			Set
				m_popular = Value
			End Set
		End Property
		Private m_popular As String
		Public Property num_of_results() As String
			Get
				Return m_num_of_results
			End Get
			Set
				m_num_of_results = Value
			End Set
		End Property
		Private m_num_of_results As String
		Public Property format() As String
			Get
				Return m_format
			End Get
			Set
				m_format = Value
			End Set
		End Property
		Private m_format As String
		Public Property callback() As String
			Get
				Return m_callback
			End Get
			Set
				m_callback = Value
			End Set
		End Property
		Private m_callback As String
	End Class

	Public Class LocationSearch
		Public search_API As Search_API
	End Class

	Public Class Search_API
		Public result As List(Of Result)
	End Class

	Public Class Result
		Public Property areaName() As List(Of AreaName)
			Get
				Return m_areaName
			End Get
			Set
				m_areaName = Value
			End Set
		End Property
		Private m_areaName As List(Of AreaName)
		Public Property country() As List(Of Country)
			Get
				Return m_country
			End Get
			Set
				m_country = Value
			End Set
		End Property
		Private m_country As List(Of Country)
		Public Property latitude() As Single
			Get
				Return m_latitude
			End Get
			Set
				m_latitude = Value
			End Set
		End Property
		Private m_latitude As Single
		Public Property longitude() As Single
			Get
				Return m_longitude
			End Get
			Set
				m_longitude = Value
			End Set
		End Property
		Private m_longitude As Single
		Public Property population() As Double
			Get
				Return m_population
			End Get
			Set
				m_population = Value
			End Set
		End Property
		Private m_population As Double
		Public Property region() As List(Of Region)
			Get
				Return m_region
			End Get
			Set
				m_region = Value
			End Set
		End Property
		Private m_region As List(Of Region)
		Public Property weatherUrl() As List(Of WeatherUrl)
			Get
				Return m_weatherUrl
			End Get
			Set
				m_weatherUrl = Value
			End Set
		End Property
		Private m_weatherUrl As List(Of WeatherUrl)
		Public Property timezone() As TimeZone
			Get
				Return m_timezone
			End Get
			Set
				m_timezone = Value
			End Set
		End Property
		Private m_timezone As TimeZone
	End Class

	Public Class TimeZone
		Public Property offset() As Single
			Get
				Return m_offset
			End Get
			Set
				m_offset = Value
			End Set
		End Property
		Private m_offset As Single
	End Class

	Public Class AreaName
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class Country
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class Region
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class WeatherUrl
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class
End Namespace

