
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web

Namespace premium.marineweather
	Public Class MarineWeatherInput
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property format() As String
			Get
				Return m_format
			End Get
			Set
				m_format = Value
			End Set
		End Property
		Private m_format As String
		Public Property fx() As String
			Get
				Return m_fx
			End Get
			Set
				m_fx = Value
			End Set
		End Property
		Private m_fx As String
		Public Property callback() As String
			Get
				Return m_callback
			End Get
			Set
				m_callback = Value
			End Set
		End Property
		Private m_callback As String
	End Class

	Public Class MarineWeather
		Public data As Data
	End Class

	Public Class Data
		Public request As List(Of Request)
		Public weather As List(Of Weather)
	End Class

	Public Class Weather
		Public Property [date]() As DateTime
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As DateTime
		Public Property astronomy() As List(Of Astronomy)
			Get
				Return m_astronomy
			End Get
			Set
				m_astronomy = Value
			End Set
		End Property
		Private m_astronomy As List(Of Astronomy)
		Public Property hourly() As List(Of Hourly)
			Get
				Return m_hourly
			End Get
			Set
				m_hourly = Value
			End Set
		End Property
		Private m_hourly As List(Of Hourly)
		Public Property maxtempC() As Integer
			Get
				Return m_maxtempC
			End Get
			Set
				m_maxtempC = Value
			End Set
		End Property
		Private m_maxtempC As Integer
		Public Property mintempC() As Integer
			Get
				Return m_mintempC
			End Get
			Set
				m_mintempC = Value
			End Set
		End Property
		Private m_mintempC As Integer
		Public Property maxtempF() As Integer
			Get
				Return m_maxtempF
			End Get
			Set
				m_maxtempF = Value
			End Set
		End Property
		Private m_maxtempF As Integer
		Public Property mintempF() As Integer
			Get
				Return m_mintempF
			End Get
			Set
				m_mintempF = Value
			End Set
		End Property
		Private m_mintempF As Integer
	End Class

	Public Class Astronomy
		Public Property sunrise() As DateTime
			Get
				Return m_sunrise
			End Get
			Set
				m_sunrise = Value
			End Set
		End Property
		Private m_sunrise As DateTime
		Public Property sunset() As DateTime
			Get
				Return m_sunset
			End Get
			Set
				m_sunset = Value
			End Set
		End Property
		Private m_sunset As DateTime
		Public Property moonrise() As DateTime
			Get
				Return m_moonrise
			End Get
			Set
				m_moonrise = Value
			End Set
		End Property
		Private m_moonrise As DateTime
		Public Property moonset() As DateTime
			Get
				Return m_moonset
			End Get
			Set
				m_moonset = Value
			End Set
		End Property
		Private m_moonset As DateTime
	End Class

	Public Class Hourly
		Public Property cloudcover() As Integer
			Get
				Return m_cloudcover
			End Get
			Set
				m_cloudcover = Value
			End Set
		End Property
		Private m_cloudcover As Integer
		Public Property humidity() As Single
			Get
				Return m_humidity
			End Get
			Set
				m_humidity = Value
			End Set
		End Property
		Private m_humidity As Single
		Public Property pressure() As Integer
			Get
				Return m_pressure
			End Get
			Set
				m_pressure = Value
			End Set
		End Property
		Private m_pressure As Integer
		Public Property sigHeight_m() As Single
			Get
				Return m_sigHeight_m
			End Get
			Set
				m_sigHeight_m = Value
			End Set
		End Property
		Private m_sigHeight_m As Single
		Public Property swellDir() As Single
			Get
				Return m_swellDir
			End Get
			Set
				m_swellDir = Value
			End Set
		End Property
		Private m_swellDir As Single
		Public Property swellDir16Point() As String
			Get
				Return m_swellDir16Point
			End Get
			Set
				m_swellDir16Point = Value
			End Set
		End Property
		Private m_swellDir16Point As String
		Public Property swellHeight_m() As Single
			Get
				Return m_swellHeight_m
			End Get
			Set
				m_swellHeight_m = Value
			End Set
		End Property
		Private m_swellHeight_m As Single
		Public Property swell_Height_ft() As Single
			Get
				Return m_swell_Height_ft
			End Get
			Set
				m_swell_Height_ft = Value
			End Set
		End Property
		Private m_swell_Height_ft As Single
		Public Property swellPeriod_secs() As Single
			Get
				Return m_swellPeriod_secs
			End Get
			Set
				m_swellPeriod_secs = Value
			End Set
		End Property
		Private m_swellPeriod_secs As Single
		Public Property tempC() As Integer
			Get
				Return m_tempC
			End Get
			Set
				m_tempC = Value
			End Set
		End Property
		Private m_tempC As Integer
		Public Property tempF() As Integer
			Get
				Return m_tempF
			End Get
			Set
				m_tempF = Value
			End Set
		End Property
		Private m_tempF As Integer
		Public Property time() As Integer
			Get
				Return m_time
			End Get
			Set
				m_time = Value
			End Set
		End Property
		Private m_time As Integer
		Public Property visibility() As Integer
			Get
				Return m_visibility
			End Get
			Set
				m_visibility = Value
			End Set
		End Property
		Private m_visibility As Integer
		Public Property waterTemp_C() As Integer
			Get
				Return m_waterTemp_C
			End Get
			Set
				m_waterTemp_C = Value
			End Set
		End Property
		Private m_waterTemp_C As Integer
		Public Property waterTemp_F() As Integer
			Get
				Return m_waterTemp_F
			End Get
			Set
				m_waterTemp_F = Value
			End Set
		End Property
		Private m_waterTemp_F As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As String
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As String
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
	End Class


	Public Class Request
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property type() As String
			Get
				Return m_type
			End Get
			Set
				m_type = Value
			End Set
		End Property
		Private m_type As String
	End Class

	Public Class WeatherDesc
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class WeatherIconUrl
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class
End Namespace


