
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web

Namespace premium.pastweather
	Public Class PastWeatherInput
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property format() As String
			Get
				Return m_format
			End Get
			Set
				m_format = Value
			End Set
		End Property
		Private m_format As String
		Public Property extra() As String
			Get
				Return m_extra
			End Get
			Set
				m_extra = Value
			End Set
		End Property
		Private m_extra As String
		Public Property [date]() As String
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As String
		Public Property enddate() As String
			Get
				Return m_enddate
			End Get
			Set
				m_enddate = Value
			End Set
		End Property
		Private m_enddate As String
		Public Property includelocation() As String
			Get
				Return m_includelocation
			End Get
			Set
				m_includelocation = Value
			End Set
		End Property
		Private m_includelocation As String
		Public Property callback() As String
			Get
				Return m_callback
			End Get
			Set
				m_callback = Value
			End Set
		End Property
		Private m_callback As String
	End Class

	Public Class PastWeather
		Public data As Data
	End Class

	Public Class Data
		Public current_condition As List(Of Current_Condition)
		Public request As List(Of Request)
		Public weather As List(Of Weather)
	End Class

	Public Class Current_Condition
		Public Property observation_time() As DateTime
			Get
				Return m_observation_time
			End Get
			Set
				m_observation_time = Value
			End Set
		End Property
		Private m_observation_time As DateTime
		Public Property pastObsDateTime() As DateTime
			Get
				Return m_pastObsDateTime
			End Get
			Set
				m_pastObsDateTime = Value
			End Set
		End Property
		Private m_pastObsDateTime As DateTime
		Public Property temp_C() As Integer
			Get
				Return m_temp_C
			End Get
			Set
				m_temp_C = Value
			End Set
		End Property
		Private m_temp_C As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As String
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As String
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
		Public Property humidity() As Single
			Get
				Return m_humidity
			End Get
			Set
				m_humidity = Value
			End Set
		End Property
		Private m_humidity As Single
		Public Property visibility() As Integer
			Get
				Return m_visibility
			End Get
			Set
				m_visibility = Value
			End Set
		End Property
		Private m_visibility As Integer
		Public Property pressure() As Integer
			Get
				Return m_pressure
			End Get
			Set
				m_pressure = Value
			End Set
		End Property
		Private m_pressure As Integer
		Public Property cloudcover() As Integer
			Get
				Return m_cloudcover
			End Get
			Set
				m_cloudcover = Value
			End Set
		End Property
		Private m_cloudcover As Integer
	End Class

	Public Class Request
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property type() As String
			Get
				Return m_type
			End Get
			Set
				m_type = Value
			End Set
		End Property
		Private m_type As String
	End Class

	Public Class Weather
		Public Property hourly() As List(Of Hourly)
			Get
				Return m_hourly
			End Get
			Set
				m_hourly = Value
			End Set
		End Property
		Private m_hourly As List(Of Hourly)
		Public Property [date]() As DateTime
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As DateTime
		Public Property maxtempC() As Integer
			Get
				Return m_maxtempC
			End Get
			Set
				m_maxtempC = Value
			End Set
		End Property
		Private m_maxtempC As Integer
		Public Property maxtempF() As Integer
			Get
				Return m_maxtempF
			End Get
			Set
				m_maxtempF = Value
			End Set
		End Property
		Private m_maxtempF As Integer
		Public Property mintempC() As Integer
			Get
				Return m_mintempC
			End Get
			Set
				m_mintempC = Value
			End Set
		End Property
		Private m_mintempC As Integer
		Public Property mintempF() As Integer
			Get
				Return m_mintempF
			End Get
			Set
				m_mintempF = Value
			End Set
		End Property
		Private m_mintempF As Integer
	End Class

	Public Class Hourly
		Public Property time() As String
			Get
				Return m_time
			End Get
			Set
				m_time = Value
			End Set
		End Property
		Private m_time As String
		Public Property tempC() As Integer
			Get
				Return m_tempC
			End Get
			Set
				m_tempC = Value
			End Set
		End Property
		Private m_tempC As Integer
		Public Property tempF() As Integer
			Get
				Return m_tempF
			End Get
			Set
				m_tempF = Value
			End Set
		End Property
		Private m_tempF As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property windspeedKnots() As Integer
			Get
				Return m_windspeedKnots
			End Get
			Set
				m_windspeedKnots = Value
			End Set
		End Property
		Private m_windspeedKnots As Integer
		Public Property windspeedMeterSec() As Integer
			Get
				Return m_windspeedMeterSec
			End Get
			Set
				m_windspeedMeterSec = Value
			End Set
		End Property
		Private m_windspeedMeterSec As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As Integer
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As Integer
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
		Public Property precipInches() As Single
			Get
				Return m_precipInches
			End Get
			Set
				m_precipInches = Value
			End Set
		End Property
		Private m_precipInches As Single
		Public Property humidity() As Single
			Get
				Return m_humidity
			End Get
			Set
				m_humidity = Value
			End Set
		End Property
		Private m_humidity As Single
		Public Property visibility() As Integer
			Get
				Return m_visibility
			End Get
			Set
				m_visibility = Value
			End Set
		End Property
		Private m_visibility As Integer
		Public Property visibilityMiles() As Integer
			Get
				Return m_visibilityMiles
			End Get
			Set
				m_visibilityMiles = Value
			End Set
		End Property
		Private m_visibilityMiles As Integer
		Public Property pressure() As Integer
			Get
				Return m_pressure
			End Get
			Set
				m_pressure = Value
			End Set
		End Property
		Private m_pressure As Integer
		Public Property pressureInches() As Single
			Get
				Return m_pressureInches
			End Get
			Set
				m_pressureInches = Value
			End Set
		End Property
		Private m_pressureInches As Single
		Public Property cloudcover() As Integer
			Get
				Return m_cloudcover
			End Get
			Set
				m_cloudcover = Value
			End Set
		End Property
		Private m_cloudcover As Integer
	End Class

	Public Class WeatherDesc
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class WeatherIconUrl
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class
End Namespace

