
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web

Namespace free.localweather
	Public Class LocalWeatherInput
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property format() As String
			Get
				Return m_format
			End Get
			Set
				m_format = Value
			End Set
		End Property
		Private m_format As String
		Public Property extra() As String
			Get
				Return m_extra
			End Get
			Set
				m_extra = Value
			End Set
		End Property
		Private m_extra As String
		Public Property num_of_days() As String
			Get
				Return m_num_of_days
			End Get
			Set
				m_num_of_days = Value
			End Set
		End Property
		Private m_num_of_days As String
		Public Property [date]() As String
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As String
		Public Property fx() As String
			Get
				Return m_fx
			End Get
			Set
				m_fx = Value
			End Set
		End Property
		Private m_fx As String
		Public Property cc() As String
			Get
				Return m_cc
			End Get
			Set
				m_cc = Value
			End Set
		End Property
		Private m_cc As String
		Public Property includelocation() As String
			Get
				Return m_includelocation
			End Get
			Set
				m_includelocation = Value
			End Set
		End Property
		Private m_includelocation As String
		Public Property show_comments() As String
			Get
				Return m_show_comments
			End Get
			Set
				m_show_comments = Value
			End Set
		End Property
		Private m_show_comments As String
		Public Property callback() As String
			Get
				Return m_callback
			End Get
			Set
				m_callback = Value
			End Set
		End Property
		Private m_callback As String
	End Class

	Public Class LocalWeather
		Public data As Data
	End Class

	Public Class Data
		Public current_Condition As List(Of Current_Condition)
		Public request As List(Of Request)
		Public weather As List(Of Weather)
	End Class

	Public Class Current_Condition
		Public Property observation_time() As DateTime
			Get
				Return m_observation_time
			End Get
			Set
				m_observation_time = Value
			End Set
		End Property
		Private m_observation_time As DateTime
		Public Property localObsDateTime() As DateTime
			Get
				Return m_localObsDateTime
			End Get
			Set
				m_localObsDateTime = Value
			End Set
		End Property
		Private m_localObsDateTime As DateTime
		Public Property temp_C() As Integer
			Get
				Return m_temp_C
			End Get
			Set
				m_temp_C = Value
			End Set
		End Property
		Private m_temp_C As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As String
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As String
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
		Public Property humidity() As Single
			Get
				Return m_humidity
			End Get
			Set
				m_humidity = Value
			End Set
		End Property
		Private m_humidity As Single
		Public Property visibility() As Integer
			Get
				Return m_visibility
			End Get
			Set
				m_visibility = Value
			End Set
		End Property
		Private m_visibility As Integer
		Public Property pressure() As Integer
			Get
				Return m_pressure
			End Get
			Set
				m_pressure = Value
			End Set
		End Property
		Private m_pressure As Integer
		Public Property cloudcover() As Integer
			Get
				Return m_cloudcover
			End Get
			Set
				m_cloudcover = Value
			End Set
		End Property
		Private m_cloudcover As Integer
	End Class

	Public Class Request
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property type() As String
			Get
				Return m_type
			End Get
			Set
				m_type = Value
			End Set
		End Property
		Private m_type As String
	End Class

	Public Class Weather
		Public Property [date]() As DateTime
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As DateTime
		Public Property tempMaxC() As Integer
			Get
				Return m_tempMaxC
			End Get
			Set
				m_tempMaxC = Value
			End Set
		End Property
		Private m_tempMaxC As Integer
		Public Property tempMaxF() As Integer
			Get
				Return m_tempMaxF
			End Get
			Set
				m_tempMaxF = Value
			End Set
		End Property
		Private m_tempMaxF As Integer
		Public Property tempMinC() As Integer
			Get
				Return m_tempMinC
			End Get
			Set
				m_tempMinC = Value
			End Set
		End Property
		Private m_tempMinC As Integer
		Public Property tempMinF() As Integer
			Get
				Return m_tempMinF
			End Get
			Set
				m_tempMinF = Value
			End Set
		End Property
		Private m_tempMinF As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As String
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As String
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
	End Class

	Public Class WeatherDesc
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class WeatherIconUrl
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class
End Namespace

