
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web

Namespace premium.localweather
	Public Class LocalWeatherInput
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property format() As String
			Get
				Return m_format
			End Get
			Set
				m_format = Value
			End Set
		End Property
		Private m_format As String
		Public Property extra() As String
			Get
				Return m_extra
			End Get
			Set
				m_extra = Value
			End Set
		End Property
		Private m_extra As String
		Public Property num_of_days() As String
			Get
				Return m_num_of_days
			End Get
			Set
				m_num_of_days = Value
			End Set
		End Property
		Private m_num_of_days As String
		Public Property [date]() As String
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As String
		Public Property fx() As String
			Get
				Return m_fx
			End Get
			Set
				m_fx = Value
			End Set
		End Property
		Private m_fx As String
		Public Property cc() As String
			Get
				Return m_cc
			End Get
			Set
				m_cc = Value
			End Set
		End Property
		Private m_cc As String
		Public Property includelocation() As String
			Get
				Return m_includelocation
			End Get
			Set
				m_includelocation = Value
			End Set
		End Property
		Private m_includelocation As String
		Public Property show_comments() As String
			Get
				Return m_show_comments
			End Get
			Set
				m_show_comments = Value
			End Set
		End Property
		Private m_show_comments As String
		Public Property tp() As String
			Get
				Return m_tp
			End Get
			Set
				m_tp = Value
			End Set
		End Property
		Private m_tp As String
		Public Property callback() As String
			Get
				Return m_callback
			End Get
			Set
				m_callback = Value
			End Set
		End Property
		Private m_callback As String
	End Class

	Public Class LocalWeather
		Public data As Data
	End Class

	Public Class Data
		Public climateAverages As List(Of ClimateAverages)
		Public current_Condition As List(Of Current_Condition)
		Public request As List(Of Request)
		Public weather As List(Of Weather)
	End Class

	Public Class ClimateAverages
		Public month As List(Of Month)
	End Class

	Public Class Month
		Public Property index() As Integer
			Get
				Return m_index
			End Get
			Set
				m_index = Value
			End Set
		End Property
		Private m_index As Integer
		Public Property name() As String
			Get
				Return m_name
			End Get
			Set
				m_name = Value
			End Set
		End Property
		Private m_name As String
		Public Property avgMinTemp() As Single
			Get
				Return m_avgMinTemp
			End Get
			Set
				m_avgMinTemp = Value
			End Set
		End Property
		Private m_avgMinTemp As Single
		Public Property avgMinTemp_F() As Single
			Get
				Return m_avgMinTemp_F
			End Get
			Set
				m_avgMinTemp_F = Value
			End Set
		End Property
		Private m_avgMinTemp_F As Single
		Public Property avgMaxTemp() As Single
			Get
				Return m_avgMaxTemp
			End Get
			Set
				m_avgMaxTemp = Value
			End Set
		End Property
		Private m_avgMaxTemp As Single
		Public Property avgMaxTemp_F() As Single
			Get
				Return m_avgMaxTemp_F
			End Get
			Set
				m_avgMaxTemp_F = Value
			End Set
		End Property
		Private m_avgMaxTemp_F As Single
		Public Property absMinTemp() As Single
			Get
				Return m_absMinTemp
			End Get
			Set
				m_absMinTemp = Value
			End Set
		End Property
		Private m_absMinTemp As Single
		Public Property absMinTemp_F() As Single
			Get
				Return m_absMinTemp_F
			End Get
			Set
				m_absMinTemp_F = Value
			End Set
		End Property
		Private m_absMinTemp_F As Single
		Public Property absMaxTemp() As Single
			Get
				Return m_absMaxTemp
			End Get
			Set
				m_absMaxTemp = Value
			End Set
		End Property
		Private m_absMaxTemp As Single
		Public Property avgDailyRainfall() As String
			Get
				Return m_avgDailyRainfall
			End Get
			Set
				m_avgDailyRainfall = Value
			End Set
		End Property
		Private m_avgDailyRainfall As String
		Public Property avgMonthlyRainfall() As String
			Get
				Return m_avgMonthlyRainfall
			End Get
			Set
				m_avgMonthlyRainfall = Value
			End Set
		End Property
		Private m_avgMonthlyRainfall As String
		Public Property avgDryDays() As Integer
			Get
				Return m_avgDryDays
			End Get
			Set
				m_avgDryDays = Value
			End Set
		End Property
		Private m_avgDryDays As Integer
		Public Property avgSnowDays() As Integer
			Get
				Return m_avgSnowDays
			End Get
			Set
				m_avgSnowDays = Value
			End Set
		End Property
		Private m_avgSnowDays As Integer
		Public Property avgFogDays() As Integer
			Get
				Return m_avgFogDays
			End Get
			Set
				m_avgFogDays = Value
			End Set
		End Property
		Private m_avgFogDays As Integer

	End Class

	Public Class Current_Condition
		Public Property observation_time() As DateTime
			Get
				Return m_observation_time
			End Get
			Set
				m_observation_time = Value
			End Set
		End Property
		Private m_observation_time As DateTime
		Public Property localObsDateTime() As DateTime
			Get
				Return m_localObsDateTime
			End Get
			Set
				m_localObsDateTime = Value
			End Set
		End Property
		Private m_localObsDateTime As DateTime
		Public Property temp_C() As Integer
			Get
				Return m_temp_C
			End Get
			Set
				m_temp_C = Value
			End Set
		End Property
		Private m_temp_C As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As String
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As String
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
		Public Property precipInches() As Single
			Get
				Return m_precipInches
			End Get
			Set
				m_precipInches = Value
			End Set
		End Property
		Private m_precipInches As Single
		Public Property humidity() As Single
			Get
				Return m_humidity
			End Get
			Set
				m_humidity = Value
			End Set
		End Property
		Private m_humidity As Single
		Public Property visibility() As Integer
			Get
				Return m_visibility
			End Get
			Set
				m_visibility = Value
			End Set
		End Property
		Private m_visibility As Integer
		Public Property visibilityMiles() As Integer
			Get
				Return m_visibilityMiles
			End Get
			Set
				m_visibilityMiles = Value
			End Set
		End Property
		Private m_visibilityMiles As Integer
		Public Property pressure() As Integer
			Get
				Return m_pressure
			End Get
			Set
				m_pressure = Value
			End Set
		End Property
		Private m_pressure As Integer
		Public Property pressureInches() As Single
			Get
				Return m_pressureInches
			End Get
			Set
				m_pressureInches = Value
			End Set
		End Property
		Private m_pressureInches As Single
		Public Property cloudcover() As Integer
			Get
				Return m_cloudcover
			End Get
			Set
				m_cloudcover = Value
			End Set
		End Property
		Private m_cloudcover As Integer
		Public Property chanceofrain() As Integer
			Get
				Return m_chanceofrain
			End Get
			Set
				m_chanceofrain = Value
			End Set
		End Property
		Private m_chanceofrain As Integer
		Public Property chanceofwindy() As Integer
			Get
				Return m_chanceofwindy
			End Get
			Set
				m_chanceofwindy = Value
			End Set
		End Property
		Private m_chanceofwindy As Integer
		Public Property chanceofovercast() As Integer
			Get
				Return m_chanceofovercast
			End Get
			Set
				m_chanceofovercast = Value
			End Set
		End Property
		Private m_chanceofovercast As Integer
		Public Property chanceofsunny() As Integer
			Get
				Return m_chanceofsunny
			End Get
			Set
				m_chanceofsunny = Value
			End Set
		End Property
		Private m_chanceofsunny As Integer
		Public Property chanceoffrost() As Integer
			Get
				Return m_chanceoffrost
			End Get
			Set
				m_chanceoffrost = Value
			End Set
		End Property
		Private m_chanceoffrost As Integer
		Public Property chanceoffog() As Integer
			Get
				Return m_chanceoffog
			End Get
			Set
				m_chanceoffog = Value
			End Set
		End Property
		Private m_chanceoffog As Integer
		Public Property chanceofsnow() As Integer
			Get
				Return m_chanceofsnow
			End Get
			Set
				m_chanceofsnow = Value
			End Set
		End Property
		Private m_chanceofsnow As Integer
		Public Property chanceofthunder() As Integer
			Get
				Return m_chanceofthunder
			End Get
			Set
				m_chanceofthunder = Value
			End Set
		End Property
		Private m_chanceofthunder As Integer
	End Class

	Public Class Request
		Public Property query() As String
			Get
				Return m_query
			End Get
			Set
				m_query = Value
			End Set
		End Property
		Private m_query As String
		Public Property type() As String
			Get
				Return m_type
			End Get
			Set
				m_type = Value
			End Set
		End Property
		Private m_type As String
	End Class

	Public Class Weather
		Public Property astronomy() As List(Of Astronomy)
			Get
				Return m_astronomy
			End Get
			Set
				m_astronomy = Value
			End Set
		End Property
		Private m_astronomy As List(Of Astronomy)
		Public Property hourly() As List(Of Hourly)
			Get
				Return m_hourly
			End Get
			Set
				m_hourly = Value
			End Set
		End Property
		Private m_hourly As List(Of Hourly)
		Public Property [date]() As DateTime
			Get
				Return m_date
			End Get
			Set
				m_date = Value
			End Set
		End Property
		Private m_date As DateTime
		Public Property maxtempC() As Integer
			Get
				Return m_maxtempC
			End Get
			Set
				m_maxtempC = Value
			End Set
		End Property
		Private m_maxtempC As Integer
		Public Property maxtempF() As Integer
			Get
				Return m_maxtempF
			End Get
			Set
				m_maxtempF = Value
			End Set
		End Property
		Private m_maxtempF As Integer
		Public Property mintempC() As Integer
			Get
				Return m_mintempC
			End Get
			Set
				m_mintempC = Value
			End Set
		End Property
		Private m_mintempC As Integer
		Public Property mintempF() As Integer
			Get
				Return m_mintempF
			End Get
			Set
				m_mintempF = Value
			End Set
		End Property
		Private m_mintempF As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As Integer
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As Integer
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
	End Class

	Public Class Astronomy
		Public Property sunrise() As DateTime
			Get
				Return m_sunrise
			End Get
			Set
				m_sunrise = Value
			End Set
		End Property
		Private m_sunrise As DateTime
		Public Property sunset() As DateTime
			Get
				Return m_sunset
			End Get
			Set
				m_sunset = Value
			End Set
		End Property
		Private m_sunset As DateTime
		Public Property moonrise() As DateTime
			Get
				Return m_moonrise
			End Get
			Set
				m_moonrise = Value
			End Set
		End Property
		Private m_moonrise As DateTime
		Public Property moonset() As DateTime
			Get
				Return m_moonset
			End Get
			Set
				m_moonset = Value
			End Set
		End Property
		Private m_moonset As DateTime
	End Class

	Public Class Hourly
		Public Property time() As String
			Get
				Return m_time
			End Get
			Set
				m_time = Value
			End Set
		End Property
		Private m_time As String
		Public Property tempC() As Integer
			Get
				Return m_tempC
			End Get
			Set
				m_tempC = Value
			End Set
		End Property
		Private m_tempC As Integer
		Public Property tempF() As Integer
			Get
				Return m_tempF
			End Get
			Set
				m_tempF = Value
			End Set
		End Property
		Private m_tempF As Integer
		Public Property windspeedMiles() As Integer
			Get
				Return m_windspeedMiles
			End Get
			Set
				m_windspeedMiles = Value
			End Set
		End Property
		Private m_windspeedMiles As Integer
		Public Property windspeedKmph() As Integer
			Get
				Return m_windspeedKmph
			End Get
			Set
				m_windspeedKmph = Value
			End Set
		End Property
		Private m_windspeedKmph As Integer
		Public Property windspeedKnots() As Integer
			Get
				Return m_windspeedKnots
			End Get
			Set
				m_windspeedKnots = Value
			End Set
		End Property
		Private m_windspeedKnots As Integer
		Public Property windspeedMeterSec() As Integer
			Get
				Return m_windspeedMeterSec
			End Get
			Set
				m_windspeedMeterSec = Value
			End Set
		End Property
		Private m_windspeedMeterSec As Integer
		Public Property winddirDegree() As Integer
			Get
				Return m_winddirDegree
			End Get
			Set
				m_winddirDegree = Value
			End Set
		End Property
		Private m_winddirDegree As Integer
		Public Property winddir16Point() As String
			Get
				Return m_winddir16Point
			End Get
			Set
				m_winddir16Point = Value
			End Set
		End Property
		Private m_winddir16Point As String
		Public Property weatherCode() As Integer
			Get
				Return m_weatherCode
			End Get
			Set
				m_weatherCode = Value
			End Set
		End Property
		Private m_weatherCode As Integer
		Public Property weatherDesc() As List(Of WeatherDesc)
			Get
				Return m_weatherDesc
			End Get
			Set
				m_weatherDesc = Value
			End Set
		End Property
		Private m_weatherDesc As List(Of WeatherDesc)
		Public Property weatherIconUrl() As List(Of WeatherIconUrl)
			Get
				Return m_weatherIconUrl
			End Get
			Set
				m_weatherIconUrl = Value
			End Set
		End Property
		Private m_weatherIconUrl As List(Of WeatherIconUrl)
		Public Property precipMM() As Single
			Get
				Return m_precipMM
			End Get
			Set
				m_precipMM = Value
			End Set
		End Property
		Private m_precipMM As Single
		Public Property precipInches() As Single
			Get
				Return m_precipInches
			End Get
			Set
				m_precipInches = Value
			End Set
		End Property
		Private m_precipInches As Single
		Public Property humidity() As Single
			Get
				Return m_humidity
			End Get
			Set
				m_humidity = Value
			End Set
		End Property
		Private m_humidity As Single
		Public Property visibility() As Integer
			Get
				Return m_visibility
			End Get
			Set
				m_visibility = Value
			End Set
		End Property
		Private m_visibility As Integer
		Public Property visibilityMiles() As Integer
			Get
				Return m_visibilityMiles
			End Get
			Set
				m_visibilityMiles = Value
			End Set
		End Property
		Private m_visibilityMiles As Integer
		Public Property pressure() As Integer
			Get
				Return m_pressure
			End Get
			Set
				m_pressure = Value
			End Set
		End Property
		Private m_pressure As Integer
		Public Property pressureInches() As Single
			Get
				Return m_pressureInches
			End Get
			Set
				m_pressureInches = Value
			End Set
		End Property
		Private m_pressureInches As Single
		Public Property cloudcover() As Integer
			Get
				Return m_cloudcover
			End Get
			Set
				m_cloudcover = Value
			End Set
		End Property
		Private m_cloudcover As Integer
		Public Property chanceofrain() As Integer
			Get
				Return m_chanceofrain
			End Get
			Set
				m_chanceofrain = Value
			End Set
		End Property
		Private m_chanceofrain As Integer
		Public Property chanceofwindy() As Integer
			Get
				Return m_chanceofwindy
			End Get
			Set
				m_chanceofwindy = Value
			End Set
		End Property
		Private m_chanceofwindy As Integer
		Public Property chanceofovercast() As Integer
			Get
				Return m_chanceofovercast
			End Get
			Set
				m_chanceofovercast = Value
			End Set
		End Property
		Private m_chanceofovercast As Integer
		Public Property chanceofsunny() As Integer
			Get
				Return m_chanceofsunny
			End Get
			Set
				m_chanceofsunny = Value
			End Set
		End Property
		Private m_chanceofsunny As Integer
		Public Property chanceoffrost() As Integer
			Get
				Return m_chanceoffrost
			End Get
			Set
				m_chanceoffrost = Value
			End Set
		End Property
		Private m_chanceoffrost As Integer
		Public Property chanceoffog() As Integer
			Get
				Return m_chanceoffog
			End Get
			Set
				m_chanceoffog = Value
			End Set
		End Property
		Private m_chanceoffog As Integer
		Public Property chanceofsnow() As Integer
			Get
				Return m_chanceofsnow
			End Get
			Set
				m_chanceofsnow = Value
			End Set
		End Property
		Private m_chanceofsnow As Integer
		Public Property chanceofthunder() As Integer
			Get
				Return m_chanceofthunder
			End Get
			Set
				m_chanceofthunder = Value
			End Set
		End Property
		Private m_chanceofthunder As Integer
	End Class

	Public Class WeatherDesc
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class

	Public Class WeatherIconUrl
		Public Property value() As String
			Get
				Return m_value
			End Get
			Set
				m_value = Value
			End Set
		End Property
		Private m_value As String
	End Class
End Namespace

